%define name	openquicktime
%define version	1.0
%define rel	11
%define release %mkrel %rel
%define major	1
%define libname	%mklibname %{name} %{major}

# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	A new quicktime library
Source0: 	%{name}-%{version}-src.tar.bz2
Patch:		openquicktime-1.0-system-lame.patch.bz2
License: 	GPL
Group: 	 	Video
BuildRequires:	glib-devel
BuildRequires:	zlib-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL:		http://openquicktime.sourceforge.net
BuildRequires: liblame-devel

%description
OpenQuicktime aims to be a portable library for handling Apple's
QuickTime (TM) popular media files on Unix-like environments. This
project was firstly designed to allow the porting of the 3ivx codec on
any Unix, but is now a completly separate and fully Open Source project.

This library is based on an enhanced version of the Quicktime 4 Linux
library. It features decoding and encoding QuickTime files, support for
standard audio and video codecs (including MP3 audio) and a plug-in
support so that non-open source codecs can be used with OpenQuicktime. 

OpenQuicktime could be used by any Unix players or encoders wanting to
support the Quicktime format. OpenQuicktime is still young but is
already used by some applications.

%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description devel
This package contains development files needed to compile programs which
use %{name}.

%package apps
Summary:	Example applications of %{name}
Group:		Video
Requires:	%{name} = %{version}-%{release}
# the recover package also contains a binary named recover
Conflicts:	recover
# libquicktime-progs also has qtdump and qtinfo
#Conflicts:	libquicktime-progs

%description apps

This package contains some small applications based on %{name}, that
allow the manipulation of quicktime files.

%prep
%setup -q -n %{name}-%{version}-src
%patch -p1

%build
%configure --disable-debug --disable-mmx
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir} %buildroot%_bindir
%makeinstall
%if %mdkversion >= 1020
%multiarch_includes %buildroot%_includedir/openquicktime/config.h
%endif
cd %buildroot%_bindir
mv qtdump qtdump-oqt
mv qtinfo qtinfo-oqt

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%{_includedir}/%name
%if %mdkversion >= 1020
%{_includedir}/multiarch*/*
%endif

%files apps
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Sat Mar 24 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.0-11
- Rebuild for pclos2007

* Mon Aug 28 2006 G�z Waschk <goetz@zarb.org> 1.0-10plf2007.0
- rebuild

* Mon Dec 19 2005 G�z Waschk <goetz@zarb.org> 1.0-9plf
- fix directory conflict

* Mon Sep 26 2005 Goetz Waschk <goetz@ryu.zarb.org> 1.0-8plf
- rename binaries and remove conflict with libquicktime-progs

* Sun Apr 10 2005 G�z Waschk <goetz@zarb.org> 1.0-7plf
- multiarch
- fix build
- use external liblame
- use mkrel
- mklibname

* Wed Jul 16 2003 G�z Waschk <goetz@plf.zarb.org> 1.0-6plf
- add conflict with libquicktime-progs

* Wed Sep  4 2002 G�z Waschk <waschk@informatik.uni-rostock.de> 1.0-5plf
- split applications in the apps package
- add conflict with recover package

* Tue Jul 16 2002 G�z Waschk <waschk@informatik.uni-rostock.de> 1.0-4plf
- drop libification, there's no so name
- cleanup
- add missing files

* Fri May 03 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0-3plf
- BuildRequires

* Tue Apr 16 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.0-2plf
- fixed provide

* Mon Apr 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-1plf
- first plf release  
